llvm.canonicalize.f64 unavailable?

Hello,

With LLVM 3.7.1 on target triple 'x86_64-unknown-linux-gnu', I'm trying
to use the "@llvm.canonicalize.f64" intrinsic and I get the following
error:

LLVM ERROR: Cannot select: intrinsic %llvm.canonicalize

Is this a known issue? I tried the equivalent formulations listed in
the language reference (such as addition with -0.0 or multiplication
with 1.0) but those are optimized away...

Regards

Antoine.

Canonicalize is a fairly recently added intrinsic; I don’t think it’s been implemented on every target yet.

—escha